#include <windows.h>
#include <stdio.h>

HANDLE nadSharedHandle;
LPVOID lpMapAddress;

int main(int argc, char **argv[])
{
	char FileName[_MAX_PATH]; // the shared memory is NEVER bigger than _MAX_PATH+1

	nadSharedHandle = OpenFileMapping(	FILE_MAP_READ, 
										FALSE, 
										"NADCurrentFile");
	if(!nadSharedHandle)
	{
		printf("Could not get handle to shared memory, either NAD is not running\n"
			   "or it could not initialize shared memory(out of memory?)");

		exit(1);
	}

	lpMapAddress = MapViewOfFile(	nadSharedHandle,
									FILE_MAP_READ,
									0, 
									0,
									0);
 
	if(lpMapAddress == NULL) 
	{ 
		printf(	"Could not map shared memory into address space,\n"
				"Maybe security?");

		CloseHandle(nadSharedHandle);
		exit(0);
	} 

	strcpy(FileName, (char *)lpMapAddress);

	printf("\nThe Current Playing File is: %s\n\n", FileName);

	return(0);
}